Upstream information

CVE-2018-16588 at MITRE

Description

Privilege escalation can occur in the SUSE useradd.c code in useradd, as distributed in the SUSE shadow package through 4.2.1-27.9.1 for SUSE Linux Enterprise 12 (SLE-12) and through 4.5-5.39 for SUSE Linux Enterprise 15 (SLE-15). Non-existing intermediate directories are created with mode 0777 during user creation. Given that they are world-writable, local attackers might use this for privilege escalation and other unspecified attacks. NOTE: this would affect non-SUSE users who took useradd.c code from a 2014-04-02 upstream pull request; however, no non-SUSE distribution is known to be affected.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 6.6
Vector AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1106914 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.0
  • shadow >= 4.5-lp150.6.3.1
  • shadow-debuginfo >= 4.5-lp150.6.3.1
  • shadow-debugsource >= 4.5-lp150.6.3.1
Patchnames:
openSUSE-2018-1051
openSUSE Leap 42.3
  • shadow >= 4.2.1-20.1
  • shadow-debuginfo >= 4.2.1-20.1
  • shadow-debugsource >= 4.2.1-20.1
Patchnames:
openSUSE-2018-1055


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 shadow Released
CaaS Platform 3.0 shadow Released
OpenStack Cloud Magnum Orchestration 7.0 shadow Released
SUSE Linux Enterprise Desktop 12 SP3 shadow Released
SUSE Linux Enterprise Module for Basesystem 15 GA shadow Released
SUSE Linux Enterprise Server 12 SP2 LTSS shadow Affected
SUSE Linux Enterprise Server 12 SP3 shadow Released